curl --request POST \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-expenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"expenseCategoryId": "<string>",
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses"
payload = {
"projectId": "<string>",
"expenseCategoryId": "<string>",
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
expenseCategoryId: '<string>',
billableAmount: 123,
nonBillableAmount: 123,
notes: '<string>'
})
};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-expenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'expenseCategoryId' => '<string>',
'billableAmount' => 123,
'nonBillableAmount' => 123,
'notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"expenseCategoryId\": \"<string>\",\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"expenseCategoryId\": \"<string>\",\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"expenseCategoryId\": \"<string>\",\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "f29c3d71-8a45-4b0e-96e1-d5b7a2c84f03",
"billableAmount": 3200,
"nonBillableAmount": 800,
"createdAt": "2026-02-10T14:25:33.718Z",
"notes": "Monthly software license allocation.",
"project": {
"id": "71e4b903-2c68-4f1a-a5d9-b0f37e8c2d16",
"name": "Mobile App Development",
"client": {
"id": "9a3f6c12-e758-40b4-d2a1-c8e5b7f09d34",
"name": "Globex Industries"
}
},
"expenseCategory": {
"id": "e7b21c84-3f09-4a6d-815e-d9c4f0a72b53",
"name": "Software Licenses"
}
}Create a project monthly budget expense
curl --request POST \
--url https://www.ruddr.io/api/workspace/project-monthly-budget-expenses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "<string>",
"expenseCategoryId": "<string>",
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>"
}
'import requests
url = "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses"
payload = {
"projectId": "<string>",
"expenseCategoryId": "<string>",
"billableAmount": 123,
"nonBillableAmount": 123,
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
expenseCategoryId: '<string>',
billableAmount: 123,
nonBillableAmount: 123,
notes: '<string>'
})
};
fetch('https://www.ruddr.io/api/workspace/project-monthly-budget-expenses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>',
'expenseCategoryId' => '<string>',
'billableAmount' => 123,
'nonBillableAmount' => 123,
'notes' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-monthly-budget-expenses"
payload := strings.NewReader("{\n \"projectId\": \"<string>\",\n \"expenseCategoryId\": \"<string>\",\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"projectId\": \"<string>\",\n \"expenseCategoryId\": \"<string>\",\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-monthly-budget-expenses")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"projectId\": \"<string>\",\n \"expenseCategoryId\": \"<string>\",\n \"billableAmount\": 123,\n \"nonBillableAmount\": 123,\n \"notes\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "f29c3d71-8a45-4b0e-96e1-d5b7a2c84f03",
"billableAmount": 3200,
"nonBillableAmount": 800,
"createdAt": "2026-02-10T14:25:33.718Z",
"notes": "Monthly software license allocation.",
"project": {
"id": "71e4b903-2c68-4f1a-a5d9-b0f37e8c2d16",
"name": "Mobile App Development",
"client": {
"id": "9a3f6c12-e758-40b4-d2a1-c8e5b7f09d34",
"name": "Globex Industries"
}
},
"expenseCategory": {
"id": "e7b21c84-3f09-4a6d-815e-d9c4f0a72b53",
"name": "Software Licenses"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The ID (uuid) of the project this monthly budget expense belongs to.
The ID (uuid) of the expense category for this monthly budget expense.
The total billable amount for the expense category.
The total non-billable amount for the expense category.
Notes about this monthly budget expense. Maximum 5000 characters.
Response
200
The unique identifier for the object.
The total billable amount for the expense category. null when the project is non-billable.
The total non-billable amount for the expense category.
The timestamp when the object was created.
Notes about this monthly budget expense.
The project this monthly budget expense belongs to.
Show child attributes
Show child attributes
The expense category for this monthly budget expense.
Show child attributes
Show child attributes